Upload company attachment
curl --request POST \
--url https://www.useroulette.com/api/v1/companies/{id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'title=<string>' \
--form account_id=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--form 'description=<string>'import requests
url = "https://www.useroulette.com/api/v1/companies/{id}/attachments"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"title": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('title', '<string>');
form.append('account_id', '3c90c3cc-0d44-4b50-8888-8dd25736052a');
form.append('description', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://www.useroulette.com/api/v1/companies/{id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Financial Projections",
"description": "Q4 2024 financial projections spreadsheet",
"file_path": "company-uuid/attachment-uuid/document.pdf",
"link_url": "<string>",
"file_size_bytes": 123,
"file_mime_type": "application/pdf",
"original_filename": "Q4 Projections.xlsx",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": "Invalid request body",
"data": null
}{
"success": false,
"error": "Invalid or expired API key",
"data": null
}{
"success": false,
"error": "Internal server error",
"data": null
}Companies
Upload company attachment
Upload additional documents/attachments to a company (financials, legal docs, etc.).
POST
/
companies
/
{id}
/
attachments
Upload company attachment
Authorizations
API key authentication. Generate keys from your account settings.
Include in header: Authorization: Bearer YOUR_API_KEY
Path Parameters
The unique identifier of the company
Body
multipart/form-data
⌘I

